//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.7 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.10.04 at 09:39:10 PM IST 
//


package org.spring.soap.ws.models.soap;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.spring.soap.ws package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.howtodoinjava.xml.school
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EmployeeDetailsResponse }
     * 
     */
    public EmployeeDetailsResponse createStudentDetailsResponse() {
        return new EmployeeDetailsResponse();
    }

    /**
     * Create an instance of {@link Employee }
     * 
     */
    public Employee createStudent() {
        return new Employee();
    }

    /**
     * Create an instance of {@link EmployeeDetailsRequest }
     * 
     */
    public EmployeeDetailsRequest createStudentDetailsRequest() {
        return new EmployeeDetailsRequest();
    }

}
